The Synthesis ToolKit in C++ (STK)

Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::PitShift Class Reference

STK simple pitch shifter effect class. More...

`#include <PitShift.h>`

Inheritance diagram for stk::PitShift:

List of all members.

## Public Member Functions
| PitShift (void)
| Class constructor.
void | clear (void)
| Reset and clear all internal state.
void | setShift (StkFloat shift)
| Set the pitch shift factor (1.0 produces no shift).
StkFloat | lastOut (void) const
| Return the last computed output value.
StkFloat | tick (StkFloat input)
| Input one sample to the effect and return one output.
StkFrames & | tick (StkFrames &frames, unsigned int channel=0)
| Take a channel of the StkFrames object as inputs to the effect and replace with corresponding outputs.
StkFrames & | tick (StkFrames &iFrames, StkFrames &oFrames, unsigned int iChannel=0, unsigned int oChannel=0)
| Take a channel of the `iFrames` object as inputs to the effect and write outputs to the `oFrames` object.

## Detailed Description

STK simple pitch shifter effect class.

This class implements a simple pitch shifter using delay lines.

by Perry R. Cook and Gary P. Scavone, 1995-2012.

## Member Function Documentation

StkFrames& stk::PitShift::tick | ( | StkFrames & | frames,
|  | unsigned int | channel = `0` |
| ) |  |  |

Take a channel of the StkFrames object as inputs to the effect and replace with corresponding outputs.

The StkFrames argument reference is returned. The `channel` argument must be less than the number of channels in the StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

StkFrames& stk::PitShift::tick | ( | StkFrames & | iFrames,
|  | StkFrames & | oFrames,
|  | unsigned int | iChannel = `0`,
|  | unsigned int | oChannel = `0` |
| ) |  |  |

Take a channel of the `iFrames` object as inputs to the effect and write outputs to the `oFrames` object.

The `iFrames` object reference is returned. Each channel argument must be less than the number of channels in the corresponding StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

The documentation for this class was generated from the following file:

- PitShift.h

The Synthesis ToolKit in C++ (STK)
©1995-2012 Perry R. Cook and Gary P. Scavone. All Rights Reserved.